SLASH_ZONESEARCH1 = '/pz'
SLASH_PETSEARCH1 = '/ps'
SLASH_BATTLESEARCH1 = '/pb'
SLASH_MYBATTLEPETNOTIFIER1 = '/ph'

local EventFrame = CreateFrame("Frame")
local colourTable = { 
   [1] = "|cFF8f8f8f",
   [2] = "|cFFffffff",
   [3] = "|cFF00ff00",
   [4] = "|cFF0080ff",
   [5] = "|cffff0000"
}
EventFrame:RegisterEvent("PET_BATTLE_OPENING_DONE")
EventFrame:SetScript("OnEvent", function(self,event,...) 
      if C_PetBattles.IsWildBattle(2,i) then
         SELECTED_CHAT_FRAME:AddMessage("|cFF5cb4f8 Battle Pet Notifier|r")
         p = C_PetJournal
         p.AddAllPetSourcesFilter(true)
         p.AddAllPetTypesFilter(true)
         p.ClearSearchFilter(true)
         q = {}
         for i=1,C_PetBattles.GetNumPets(2) do
            c = 0
            lvl = C_PetBattles.GetLevel(2,i)
            o =  C_PetBattles.GetName(2,i)
            local Quality = C_PetBattles.GetBreedQuality(2,i)
            SELECTED_CHAT_FRAME:AddMessage("|cFFf9eb77 Wild Pet "..i..":|r "..colourTable[Quality]..C_PetBattles.GetName(2,i).."|r (L"..lvl..")") 
            
            
            for j=1, p.GetNumPets(false) do
               id,aa,_,_,level,_,_,n,_,_,_,d=p.GetPetInfoByIndex(j);
               if id > 0 and n == o then
                  c = c + 1;
                  print("You have: "..p.GetBattlePetLink(id).."|r (L"..level..")")
               end
            end
            if c == 0 then print ("You have no "..colourTable[5]..o.."|r!")
            end
         end
      end
end)
local function ZoneSearch(msg, editbox)
   --local class, spec = msg:match("^(%S*)%s*(.-)$");
   if msg == "" then 
      msg = GetZoneText()
   end
   
   x={};
   p = C_PetJournal;
   print("Searching for '"..msg.."' in the zone name..");
   for i=1,p.GetNumPets(false) do 
      id,_,_,_,_,_,_,n,_,_,_,d=p.GetPetInfoByIndex(i);
      if string.find(strlower(d), strlower(msg)) and not x[n] then 
         if id>0 then 
            print(p.GetBattlePetLink(id).." ");
         else 
            print(n.." "..d)
            x[n]=1;
         end 
      end 
   end
end

local function PetSearch(msg, editbox)
   --local class, spec = msg:match("^(%S*)%s*(.-)$");
   if msg == "" then 
      print("Please put a pet name to seatch for!")
   else
      Search(msg)
   end
   
end
function Search(search)
   x={};
   p = C_PetJournal;
   print (colourTable[5].."Searching for  "..search.."...|r")
   for i=1,p.GetNumPets(false) do 
      id,_,_,_,_,_,_,n,_,_,_,d=p.GetPetInfoByIndex(i);
      if string.find(strlower(n), strlower(search)) and not x[n] then 
         if id>0 then 
            print(p.GetBattlePetLink(id).." "..d);
            print(d)
         else 
            print(n.." "..d)
            x[n]=1;
         end 
      end 
   end
end

local function BattlePetSearch(msg, editbox)
   print("I told you it's not yet implemented!  SHEESH!")
end

local function PetHelp(msg, editbox)
   print("Usage:")
   print("  Search for pets with 'keyword' term:")
   print("    /ps keyword")
   print(" ")
   print("  Search zones for pets:")
   print("    /pz [search]")
   print("If /pz  is run without a search term, only the local zone is scanned")
   print(" ")
   print("  Search only battlable pets in a zone (not yet implemented)")
   print("    /pb [search]")
   print(" ")
   print("  Help: (this screen)")
   print("    /ph")
   
end


SlashCmdList["ZONESEARCH"] = ZoneSearch;
SlashCmdList["PETSEARCH"] = PetSearch;
SlashCmdList["BATTLESEARCH"] = BattlePetSearch;
SlashCmdList["MYBATTLEPETNOTIFIER"] = PetHelp;